<?php
/**
 * Save all tables' structure info to config file..
 *
 * PHPGEN is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * PHPGEN is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with PHPGEN; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @copyright   EasySoft R&D Team (C) 2006
 * @author      Chunsheng Wang <wwccss@263.net>
 * @link        http://www.phpgen.com
 * @package     Table
 * @version     $Id: InitDB.php,v 1.5 2006/08/15 15:54:36 wangcs Exp $
*/
require_once("../Include/Init.php");

/* Get Table defination. */
$UserDB = prjConnectDB($_SESSION["UserName"], $_SESSION["ProjectID"]);
$Tables = dbGetTables($UserDB);

foreach($Tables as $Key => $TableName)
{
    unset($Tables[$Key]);
    $Tables[$TableName]["Label"] = $TableName;
}

/* No index file, save it. */
$IndexTBL = tblGetIndexFile($_SESSION["UserName"], $_SESSION["ProjectID"]);
!file_exists($IndexTBL) ? tblSaveIndexFile($_SESSION["UserName"], $_SESSION["ProjectID"], array2String($Tables, "Tables", "Tables")) : "";

/* Write table stucture to files. */
foreach($Tables as $TableName => $Table)
{
    if(!file_exists(tblGetConfigFile($_SESSION["UserName"], $_SESSION["ProjectID"], $TableName)))
    {
        $Table["Label"]   = $TableName;
        $Table["Fields"]  = dbGetFields($UserDB, $TableName);
        $Table["KeysUNI"] = dbGetUniqueKeys($UserDB, $TableName);
        tblSaveConfigFile($_SESSION["UserName"], $_SESSION["ProjectID"], $TableName, array2String($Table, "Table", "Table"));
    }
}

/* Assign and display. */
$MyTPL->assign("DSN",     prjGetDSN($_SESSION["UserName"], $_SESSION["ProjectID"]));
$MyTPL->assign("Tables",  $Tables);
$MyTPL->display($_TPL["TplFile"]);
?>